# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "couchrest"
  s.version = "0.33"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["J. Chris Anderson", "Matt Aimonetti"]
  s.date = "2008-11-22"
  s.description = "CouchRest provides a simple interface on top of CouchDB's RESTful HTTP API, as well as including some utility scripts for managing views and attachments."
  s.email = "jchris@apache.org"
  s.extra_rdoc_files = ["README.md", "LICENSE", "THANKS.md"]
  s.files = ["README.md", "LICENSE", "THANKS.md"]
  s.homepage = "http://github.com/jchris/couchrest"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.10"
  s.summary = "Lean and RESTful interface to CouchDB."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rest-client>, [">= 0.5"])
      s.add_runtime_dependency(%q<mime-types>, [">= 1.15"])
    else
      s.add_dependency(%q<rest-client>, [">= 0.5"])
      s.add_dependency(%q<mime-types>, [">= 1.15"])
    end
  else
    s.add_dependency(%q<rest-client>, [">= 0.5"])
    s.add_dependency(%q<mime-types>, [">= 1.15"])
  end
end
